---
include: 'templates/template.yml'

mypy:
  extends: .retry
  interruptible: true
  image: ${CI_REGISTRY}/cubicweb/dockerfiles/python-logilab:latest
  except:
    variables:
      - $TRIGGERED_FROM_OTHER_PROJECT
  tags:
    - lint
    - mypy
  stage: lint
  allow_failure: true
  script: tox -e mypy
